audio = {}
audio.files = {}

function audio:load()
	-- bg music 1-1
	audio.files[1] = aud.."bg_1.mp3"
	
	--sounds
	audio.files[5] = aud.."jump.wav"
	audio.files[6] = aud.."col.wav"
	audio.files[7] = aud.."tsk.wav"
	audio.files[8] = aud.."water.wav"
	audio.files[9] = aud.."wind.wav"
	audio.files[10] = aud.."earth.wav"
	audio.files[11] = aud.."ice.wav"
	audio.files[12] = aud.."fire.wav"
	audio.files[13] = aud.."death.wav"
end

function audio:play(i, loop, vol)
	if loop then
		TEsound.playLooping(audio.files[i], i.."")
	else
		TEsound.play(audio.files[i], i.."")
	end
	
	TEsound.volume(i.."", vol)
end

-- stop playback of "i" stream
function audio:stop(i)
	TEsound.stop(i.."", false)
end
